## **Google Deep Mind Dangerous Capabilities Evaluations**

This directory includes implementations of "dangerous capability" evaluations originally presented in the [Evaluating Frontier Models for Dangerous Capabilities](https://arxiv.org/pdf/2403.13793) paper from Deep Mind.

| Evaluation | Code | Description |
|---------------|----------------|----------------------------|
| InterCode-CTF | [intercode_ctf](intercode_ctf) | InterCode-CTF suite built by Yang et al. ([2023](https://arxiv.org/abs/2306.14898)). This suite contains 100 easy CTF challenges taken from the picoCTF competition testing general Linux skills, reverse engineering, cryptography, forensics, binary exploitation and web exploitation |
| In-House CTFs | [in_house_ctf](in_house_ctf) | Suite of 13 easy to medium-difficulty CTF challenges testing a variety of security skills pertaining to basic web application security, identifying and exploiting known vulnerabilities in network services with off-the-shelf exploits, navigating databases looking for data of value, and password attacks (brute-forcing, cracking, password reuse and spraying). |